<?php
/*
	Copyright(c) 2010 Shift Tech Inc. All Rights Reserved.
 	http://www.shift-tech.jp/
*/

require_once (LIB_PATH.'/common/unitCommon.php');
require_once (LIB_PATH.'/common/pageView.php');
require_once (LIB_PATH.'/common/imgmngrDB.php');
require_once (LIB_PATH.'/common/labelDB.php');
require_once(MODULES_PATH.'/extMdlYuhoNavi/class/clsShop.php');
/*
--画像タイトルテキスト用 の詳細データ格納テーブル（公開情報）
CREATE TABLE extunit_extmdlyuhonavi_opitems (
	pageu_code			integer,			--ユニット配列順序における登録番号
	opshps_sidx_code	integer,				--セクションIDXコード
	opshps_cat_code	text,					--カテゴリーコードの文字列「:」で区切って保存
	opshps_layout_pc		smallint,			--PC用テンプレートNo.
	opshps_layout_sp		smallint,			--スマホ用テンプレートNo.
	opshps_s_count		integer,				--表示開始件数
	opshps_limit		integer,				--表示情報件数設定
	opshps_pflg		smallint default 1,		--ページングの有無 0：なし　1：あり
	opshps_date_flg	smallint default 1,		--日付表示の有無 0：なし　1：あり
	opshps_date_format	text,				--日付書式
	opshps_rss			smallint default 1,		--RSS 0：なし　1：あり
	opshps_new_flg		smallint default 1,		--NEWアイコン表示 0：なし　1：あり
	opshps_comment_flg	smallint default 1,		--一覧コメント 0：なし　1：あり
	opshps_new_days	integer,			--NEWアイコン表示期間
	opshps_order		smallint default 1,		--表示順　1：公開日の昇順　2：公開日の降順
	opshps_sp_layout 		smallint not null default 0,		--スマホレイアウト（フリック）1：使う
	opshps_comming_text	text,				--カミングスーンテキスト
	opshps_comming_flg	smallint default 0,		--カミングスーンテキスト
	opshps_nodata_text	text,				--データ無し時の表示テキスト
	opshps_link_text		text,				--詳細へのリンクテキスト：初期値「詳細はこちら」
	opshps_nophoto_img	text,				--画像が無い時に表示する初期画像 初期値：no photo
	opshps_newicon_img	text,				--新着時に表示する画像
	opshps_effect 			text,				--エフェクト
	opshps_speed 			smallint default 1000,				--スピード
	opshps_easing 		text,				--イージング
	opshps_pager_flg 		smallint DEFAULT '0',		--ページャータイプ 0:ボタン、1:スクロール
	opshps_pager_text 		text,						--ページャー任意テキスト
	opshps_pager_img text,							-- ページャー画像
	opshps_pager_img_hover text,					-- ページャー画像hover
	opshps_body_charcnt smallint DEFAULT '0', 		-- 文字数
	opshps_width 			text, 				--【extMdlYuhoNaviOpenShops】 幅
	opshps_height 			text, 				--【extMdlYuhoNaviOpenShops】 高さ
	opshps_margin			text, 				--【extMdlYuhoNaviOpenShops】 間隔
	opshps_outside_flg 		smallint default 1, 		--【extMdlYuhoNaviOpenShops】 外枠 表示/非表示
	opshps_outside_color 	text, 				--【extMdlYuhoNaviOpenShops】 外枠 色
	opshps_outside_weight 	text, 				--【extMdlYuhoNaviOpenShops】 外枠 太さ
	opshps_default_bgcolor 	text, 			--【extMdlYuhoNaviOpenShops】 デフォルト背景
	opshps_hovered_bgcolor 	text, 			--【extMdlYuhoNaviOpenShops】 デフォルト背景hover時
	opshps_color 			text, 				--【extMdlYuhoNaviOpenShops】 文字（色）
	opshps_color_hover 	text, 				--【extMdlYuhoNaviOpenShops】 文字（色）hover時
	opshps_hover_effect 	text, 				--【extMdlYuhoNaviOpenShops】 hover時効果
	opshps_detail_url text, 						--【extMdlYuhoNaviOpenShops】 リンク先URL
	opshps_shop_url text, 						--【extMdlYuhoNaviOpenShops】 店舗先URL
	opshps_auto_centering 	smallint default 0, 		--【extMdlYuhoNaviOpenShops】 自動中央揃え
	opshps_freeword_flg 		smallint default 0, 		--【extMdlYuhoNaviOpenShops】 フリーワードフォーム表示/非表示
	opshps_label_flg 			smallint default 0, 		--【extMdlYuhoNaviOpenShops】 ラベル検索表示/非表示
	opshps_genr_id 			text, 				--【extMdlYuhoNaviOpenShops】 カテゴリー
	bg_color			smallint default 0,		--背景色　0：なし　1：あり
	bdr_type			smallint default 0,		--囲み線　0：なし　1：実線　2：点線
	btm_padding			smallint default 2,		--下部余白　0:なし　1：狭　2：標準　3：広
	bg_color_sp			smallint default 0,		--背景色　0：なし　1：あり
	bdr_type_sp			smallint default 0,		--囲み線　0：なし　1：実線　2：点線
	btm_padding_sp			smallint default 2,		--下部余白　0:なし　1：狭　2：標準　3：広
	--2015.05.19
	opshps_me_code	text,					--イベントコードの文字列「:」で区切って保存
	primary key (pageu_code)
);
CREATE TABLE extunit_extmdlyuhonavi_opitems_tmp (
	pageu_code			integer,			--ユニット配列順序における登録番号
	opshps_sidx_code	integer,			--セクションIDXコード
	opshps_cat_code	text,					--カテゴリーコードの文字列「:」で区切って保存
	opshps_label_code	text,
	opshps_layout_pc		smallint,			--PC用テンプレートNo.
	opshps_layout_sp		smallint,			--スマホ用テンプレートNo.
	opshps_s_count		integer,				--表示開始件数
	opshps_limit		integer,				--表示情報件数設定
	opshps_pflg		smallint default 1,		--ページングの有無 0：なし　1：あり
	opshps_date_flg	smallint default 1,		--日付表示の有無 0：なし　1：あり
	opshps_date_format	text,				--日付書式
	opshps_rss			smallint default 1,		--RSS 0：なし　1：あり
	opshps_new_flg		smallint default 1,		--NEWアイコン表示 0：なし　1：あり
	opshps_comment_flg	smallint default 1,		--一覧コメント 0：なし　1：あり
	opshps_new_days	integer,			--NEWアイコン表示期間
	opshps_order		smallint default 1,		--表示順　1：公開日の昇順　2：公開日の降順
	opshps_sp_layout 		smallint not null default 0,		--スマホレイアウト（フリック）1：使う
	opshps_comming_text	text,				--カミングスーンテキスト
	opshps_comming_flg	smallint default 0,		--カミングスーンテキスト
	opshps_nodata_text	text,				--データ無し時の表示テキスト
	opshps_link_text		text,				--詳細へのリンクテキスト：初期値「詳細はこちら」
	opshps_nophoto_img	text,				--画像が無い時に表示する初期画像 初期値：no photo
	opshps_newicon_img	text,				--新着時に表示する画像
	opshps_effect 			text,				--エフェクト
	opshps_speed 			smallint default 1000,				--スピード
	opshps_easing 		text,				--イージング
	opshps_pager_flg 		smallint DEFAULT '0',		--ページャータイプ 0:ボタン、1:スクロール
	opshps_pager_text 		text,						--ページャー任意テキスト
	opshps_pager_img text,							-- ページャー画像
	opshps_pager_img_hover text,					-- ページャー画像hover
	opshps_body_charcnt smallint DEFAULT '0', 		-- 文字数
	opshps_width 			text, 				--【extMdlYuhoNaviOpenShops】 幅
	opshps_height 			text, 				--【extMdlYuhoNaviOpenShops】 高さ
	opshps_margin			text, 				--【extMdlYuhoNaviOpenShops】 間隔
	opshps_outside_flg 		smallint default 1, 		--【extMdlYuhoNaviOpenShops】 外枠 表示/非表示
	opshps_outside_color 	text, 				--【extMdlYuhoNaviOpenShops】 外枠 色
	opshps_outside_weight 	text, 				--【extMdlYuhoNaviOpenShops】 外枠 太さ
	opshps_default_bgcolor 	text, 			--【extMdlYuhoNaviOpenShops】 デフォルト背景
	opshps_hovered_bgcolor 	text, 			--【extMdlYuhoNaviOpenShops】 デフォルト背景hover時
	opshps_color 			text, 				--【extMdlYuhoNaviOpenShops】 文字（色）
	opshps_color_hover 	text, 				--【extMdlYuhoNaviOpenShops】 文字（色）hover時
	opshps_hover_effect 	text, 				--【extMdlYuhoNaviOpenShops】 hover時効果
	opshps_detail_url text, 						--【extMdlYuhoNaviOpenShops】 リンク先URL
	opshps_shop_url text, 						--【extMdlYuhoNaviOpenShops】 店舗先URL
	opshps_auto_centering 	smallint default 0, 		--【extMdlYuhoNaviOpenShops】 自動中央揃え
	opshps_freeword_flg 		smallint default 0, 		--【extMdlYuhoNaviOpenShops】 フリーワードフォーム表示/非表示
	opshps_label_flg 			smallint default 0, 		--【extMdlYuhoNaviOpenShops】 ラベル検索表示/非表示
	opshps_genr_id 			text, 				--【extMdlYuhoNaviOpenShops】 カテゴリー
	bg_color			smallint default 0,		--背景色　0：なし　1：あり
	bdr_type			smallint default 0,		--囲み線　0：なし　1：実線　2：点線
	btm_padding			smallint default 2,		--下部余白　0:なし　1：狭　2：標準　3：広
	bg_color_sp			smallint default 0,		--背景色　0：なし　1：あり
	bdr_type_sp			smallint default 0,		--囲み線　0：なし　1：実線　2：点線
	btm_padding_sp			smallint default 2,		--下部余白　0:なし　1：狭　2：標準　3：広
	--2015.05.19
	opshps_me_code	text,					--イベントコードの文字列「:」で区切って保存
	primary key (pageu_code)
);
 */

class extMdlYuhoNaviOpenShops extends unitCommon
{
	//------ ユニット毎に必ず設定しなくてはならない変数 -------//
	var $_table = "extunit_extmdlyuhonavi_opshops"; //公開用テーブル名
	var $_tmptable = "extunit_extmdlyuhonavi_opshops_tmp"; //下書き用テーブル名 //必ず公開用テーブル名のうしろに_tmpをつけてください
	var $columns = array(
					array("column"=>"pageu_code","conv"=>"n","tags"=>false),		//ユニット登録コード
					array("column"=>"opshps_sidx_code","conv"=>"","tags"=>false),	//セクションIDXコード
					array("column"=>"opshps_cat_code","conv"=>"","tags"=>false),	//カテゴリーコードの文字列「:」で区切って保存
					array("column"=>"opshps_layout_pc","conv"=>"n","tags"=>false),		//PC用テンプレートNo.
					array("column"=>"opshps_layout_sp","conv"=>"n","tags"=>false),		//スマホ用テンプレートNo.
					array("column"=>"opshps_label_code","conv"=>"","tags"=>false),	//ラベルコードの文字列「:」で区切って保存
					array("column"=>"opshps_s_count","conv"=>"","tags"=>false),	//表示開始件数
					array("column"=>"opshps_limit","conv"=>"","tags"=>false),		//表示情報件数設定
					array("column"=>"opshps_pflg","conv"=>"","tags"=>false),		//ページングの有無 0：なし　1：あり
					array("column"=>"opshps_date_flg","conv"=>"","tags"=>false),	//公開日表示 0：なし　1：あり
					array("column"=>"opshps_date_format","conv"=>"","tags"=>false),	//公開日の日付書式
					array("column"=>"opshps_rss","conv"=>"","tags"=>false),		//RSS 0：なし　1：あり
					array("column"=>"opshps_new_flg","conv"=>"","tags"=>false),	//NEWアイコン表示 0：なし　1：あり
					array("column"=>"opshps_comment_flg","conv"=>"","tags"=>false),//一覧コメント 0：なし　1：あり
					array("column"=>"opshps_new_days","conv"=>"","tags"=>false),	//NEWアイコン表示期間
					array("column"=>"opshps_order","conv"=>"","tags"=>false),		//表示順　1：公開日の昇順　2：公開日の降順
					array("column"=>"opshps_sp_layout","conv"=>"n","tags"=>false),		//スマホレイアウト（フリック）1：使う
					array("column"=>"opshps_comming_text","conv"=>"KV","tags"=>false),		//カミングスーンテキスト
					array("column"=>"opshps_comming_flg","conv"=>"","tags"=>false),		//カミングスーンテキスト表示の有無 0：なし　1：あり
					array("column"=>"opshps_nodata_text","conv"=>"KV","tags"=>true),			//データ無し時の表示テキスト
					array("column"=>"opshps_link_text","conv"=>"KV","tags"=>false),			//詳細へのリンクテキスト：初期値「詳細はこちら」
					array("column"=>"opshps_nophoto_img","conv"=>"a","tags"=>false),			//画像が無い時に表示する初期画像 初期値：no photo
					array("column"=>"opshps_newicon_img","conv"=>"a","tags"=>false),			//新着時に表示する画像
					array("column"=>"opshps_effect","conv"=>"KV","tags"=>false),			//エフェクト
					array("column"=>"opshps_speed","conv"=>"","tags"=>false),				//スピード
					array("column"=>"opshps_easing","conv"=>"KV","tags"=>false),			//イージング
					array("column"=>"opshps_pager_flg","conv"=>"","tags"=>false),				//ページングタイプ 0：ボタン　1：スクロール
					array("column"=>"opshps_pager_text","conv"=>"KV","tags"=>false),			//ページング任意テキスト
					array("column"=>"opshps_pager_img","conv"=>"KV","tags"=>false),			//ページング画像
					array("column"=>"opshps_pager_img_hover","conv"=>"KV","tags"=>false),		//ページング画像hover
					array("column"=>"opshps_body_charcnt","conv"=>"","tags"=>false),			//文字数
					// 【extMdlYuhoNaviOpenShops】<!--
					array("column"=>"opshps_width","conv"=>"KV","tags"=>false),				//【extMdlYuhoNaviOpenShops】 幅
					array("column"=>"opshps_height","conv"=>"KV","tags"=>false),				//【extMdlYuhoNaviOpenShops】 高さ
					array("column"=>"opshps_margin","conv"=>"KV","tags"=>false),				//【extMdlYuhoNaviOpenShops】 間隔
					array("column"=>"opshps_outside_flg","conv"=>"","tags"=>false),				//【extMdlYuhoNaviOpenShops】 外枠 表示/非表示
					array("column"=>"opshps_outside_color","conv"=>"KV","tags"=>false),		//【extMdlYuhoNaviOpenShops】 外枠 色
					array("column"=>"opshps_outside_weight","conv"=>"KV","tags"=>false),		//【extMdlYuhoNaviOpenShops】 外枠 太さ
					array("column"=>"opshps_default_bgcolor","conv"=>"KV","tags"=>false),		//【extMdlYuhoNaviOpenShops】 デフォルト背景
					array("column"=>"opshps_hovered_bgcolor","conv"=>"KV","tags"=>false),		//【extMdlYuhoNaviOpenShops】 hover時背景
					array("column"=>"opshps_color","conv"=>"KV","tags"=>false),				//【extMdlYuhoNaviOpenShops】 文字（色）
					array("column"=>"opshps_color_hover","conv"=>"KV","tags"=>false),			//【extMdlYuhoNaviOpenShops】 文字（色）hover時
					array("column"=>"opshps_hover_effect","conv"=>"KV","tags"=>false),			//【extMdlYuhoNaviOpenShops】 hover時効果
					array("column"=>"opshps_auto_centering","conv"=>"","tags"=>false),			//【extMdlYuhoNaviOpenShops】 自動中央揃え する・しない
					array("column"=>"opshps_detail_url","conv"=>"","tags"=>false),					//【extMdlYuhoNaviOpenShops】 詳細URL
					array("column"=>"opshps_shop_url","conv"=>"","tags"=>false),					//【extMdlYuhoNaviOpenShops】 店舗URL
					array("column"=>"opshps_freeword_flg","conv"=>"","tags"=>false),				//【extMdlYuhoNaviOpenShops】 フリーワードフォーム表示/非表示
					array("column"=>"opshps_label_flg","conv"=>"","tags"=>false),					//【extMdlYuhoNaviOpenShops】 ラベル検索表示/非表示
					array("column"=>"opshps_genr_id","conv"=>"","tags"=>false),					//【extMdlYuhoNaviOpenShops】 カテゴリー
					// 【extMdlYuhoNaviOpenShops】-->
					array("column"=>"bg_color","conv"=>"","tags"=>false),			//背景色
					array("column"=>"bdr_type","conv"=>"","tags"=>false),			//囲み線
					array("column"=>"btm_padding","conv"=>"","tags"=>false),			//下部余白
					array("column"=>"bg_color_sp","conv"=>"n","tags"=>false),		//背景色
					array("column"=>"bdr_type_sp","conv"=>"n","tags"=>false),		//枠線
					array("column"=>"btm_padding_sp","conv"=>"n","tags"=>false),		//下方スペース
					array("column"=>"use_pc_flg","conv"=>"n","tags"=>false),			//PC表示 v1.6
					array("column"=>"use_sp_flg","conv"=>"n","tags"=>false),			//下部余白
					//2015.05.19
					array("column"=>"opshps_me_code","conv"=>"","tags"=>false)	//カテゴリーコードの文字列「:」で区切って保存
					);
	var $_img_name = array(
						 'opshps_nophoto_img'
						,'opshps_newicon_img'
						,'opshps_pager_img'
						,'opshps_pager_img_hover'
					);
	//ショップ
	var $_clsShop;
	var $_req;

	//ユニットデータ
	var $_data = array();
	//ページデータ
	var $_page_data = array();

	function extMdlYuhoNaviOpenShops()
	{
		$this->__construct();
	}

	function __construct()
	{
		unitCommon::__construct();
		$this->_clsShop = new clsShop();
	}

	//出力データセット処理（必須）
	function setDisplayData() {
		$this->_data = $this->getDetail();
		//データがない場合はNULLを返す
		if (count($this->_data) == 0) {
			return null;
		}

		/******** /form 作成 ********/
		//検索フォーム生成
		list( $trush, $nowPage ) = $this->getNextPage(0, false);

		$this->_view->assign("nowPage", $nowPage);
		$form = new HTML_QuickForm('form_units','get',$nowPage,'','',true);

		$form->addElement('hidden', 'p', null, array('id'=>'p', 'class'=>'p'));
		$form->addElement('hidden', 'c', null, array('id'=>'c', 'class'=>'c'));
		$form->addElement('hidden', 'd', null, array('id'=>'label_id', 'class'=>'d'));
		$form->addElement('hidden', 'label_id', null, array('id'=>'label_id', 'class'=>'label_id'));
		$form->addElement('hidden', 'now_lat', null, array('id'=>'now_lat', 'class'=>'now_lat'));
		$form->addElement('hidden', 'now_lng', null, array('id'=>'now_lng', 'class'=>'now_lng'));
		$form->addElement('hidden', 'genr_parent_id', null, array('id'=>'genr_parent_id', 'class'=>'genr_parent_id'));

		//フリーワード検索
		if ( $this->_data["opshps_freeword_flg"] == "1" ) {
			$form->addElement('text', 'freeword', null, array('size'=>'25', 'id'=>'FreeWord', 'class'=>'FreeWord', 'style'=>'', "placeholder"=>"キーワードを入力してください"));
		}
		//カテゴリー検索
		$this->_data["genr_data"] = array(
			"parent" => array(),
			"child" => array()
		);
		$genr_parent_id = ( $this->getRequest("genr_parent_id") != "" ) ? $this->getRequest("genr_parent_id") : "";
		$this->_data["genr_parent_id_on"] = $genr_parent_id;
		$genr = $this->_clsShop->getShopGenrList(null, 1, false);
		$this->_view->assign("genr", $genr);

		if ( $this->_data["opshps_genr_id"] != "" ) {
			list( $trush, $genrPage ) = $this->getNextPage(0, false, array('genr_parent_id', 'opshps_genr_id') );
			$this->_view->assign("genrPage", $genrPage);
			$_list = explode(":", $this->_data["opshps_genr_id"]);
			foreach($genr["parent"] as $k => $v){
				if(in_array($k,$_list)){
					$list[] = $k;
				}
			}
			$cnt = 0;
			foreach ( (array)$list as $id ) {
				if ( isset($genr["parent"][$id]) ) {
					$tmp = $this->_clsShop->getGenr($id);
					$tmp["on"] = 0;
					$this->_data["genr_data"]["parent"][$id] =$tmp;

					if ( $cnt == 0 ) {
						$this->_data["genr_parent_id_on"] = $id;
						$this->_data["genr_data"]["parent"][$id]["on"] = 1;
						$this->_data["genr_data"]["parent"][$id]["class"] = "active";
						$first_id = $id;
					}
					if ( $id == $genr_parent_id ) {
						$this->_data["genr_parent_id_on"] = $id;
						$this->_data["genr_data"]["parent"][$first_id]["on"] = null;
						$this->_data["genr_data"]["parent"][$first_id]["class"] = null;
						$this->_data["genr_data"]["parent"][$id]["on"] = 1;
						$this->_data["genr_data"]["parent"][$id]["class"] = "active";
					}

					$_arr = array();
					//foreach ( $genr["child"][$id] as $k => $v ) {
					foreach ( (array)$genr["child"][$id] as $k => $v ) {
						$this->_data["genr_data"]["child"][$id][$k] = $v;

						$tmp_child = $this->_clsShop->getGenr($k);
						$style=array();
						if ($_REQUEST["opshps_genr_id"][$id][$k] == 1) {
							if (empty($tmp_child["genr_color_active"]) && empty($tmp_child["genr_bgcolor_active"]) && empty($tmp_child["genr_bdcolor_active"])) {
								$style["background-color"] = $tmp["genr_color_active"];
								$style["color"] = $tmp["genr_bgcolor_active"];
								$style["border"] = $tmp["genr_bdcolor_active"];
							} else {
								$style["background-color"] = $tmp_child["genr_color_active"];
								$style["color"] = $tmp_child["genr_bgcolor_active"];
								$style["border"] = $tmp_child["genr_bdcolor_active"];
							}
						} else {
							if (empty($tmp_child["genr_color_active"]) && empty($tmp_child["genr_bgcolor_active"]) && empty($tmp_child["genr_bdcolor_active"])) {
								$style["background-color"] = $tmp["genr_color_active"];
								$style["color"] = $tmp["genr_bgcolor_active"];
								$style["border"] = $tmp["genr_bdcolor_active"];
							} else {
								$style["background-color"] = $tmp_child["genr_color"];
								$style["color"] = $tmp_child["genr_bgcolor"];
								$style["border"] = $tmp_child["genr_bdcolor"];
							}
						}
						$_attr = array();
						$_attr["id"] = 'opshps_genr_id_'.$id."_".$k;
						$_attr["c_color"] = $tmp_child["genr_color"];
						$_attr["c_bdcolor"] = $tmp_child["genr_bdcolor"];
						$_attr["c_bgcolor"] = $tmp_child["genr_bgcolor"];
						$_attr["c_color_a"] = $tmp_child["genr_color_active"];
						$_attr["c_bdcolor_a"] = $tmp_child["genr_bdcolor_active"];
						$_attr["c_bgcolor_a"] = $tmp_child["genr_bgcolor_active"];
/*
						if (empty($_attr["c_color"]) && empty($_attr["c_bdcolor"]) && empty($_attr["c_bgcolor"])) {
							$_attr["c_color"] = "#FDA156";
							$_attr["c_bdcolor"] = "#FFFFFF";
							$_attr["c_bgcolor"] = "#FFFFFF";
						}
						if (empty($_attr["c_color_a"]) && empty($_attr["c_bdcolor_a"]) && empty($_attr["c_bgcolor_a"])) {
							$_attr["c_color_a"] = "#FFFFFF";
							$_attr["c_bdcolor_a"] = "#FDA156";
							$_attr["c_bgcolor_a"] = "#FDA156";
						}
*/
						//$_arr[] = $form->addElement('checkbox', $k, null, $v, array('id'=>'opshps_genr_id_'.$id."_".$k),array(0,1));
						$_arr[] = $form->addElement('checkbox', $k, null, $v, $_attr,array(0,1));
					}
					$form->addGroup($_arr, 'opshps_genr_id['.$id.']', '', '</li><li>');
					$form->getElement('opshps_genr_id');
					$cnt++;
				}
			}
		}
		//ラベル検索
		$label_id = ( $this->getRequest("label_id") != "" ) ? $this->getRequest("label_id") : "";
		if ( $this->_data["opshps_label_flg"] == "1" ) {
			list( $trush, $labelPage ) = $this->getNextPage(0, false, array('label_id') );
			$this->_view->assign("labelPage", $labelPage);
			$this->_data["label"] = $this->_clsShop->getLabelList();
			$cnt = 0;
			foreach($this->_data["label"] as $id => $v ) {
				if ( $cnt == 0 ) {
					$this->_data["label_id_on"] = $id;
					$this->_data["label"][$id]["on"] = 1;
					$this->_data["label"][$id]["class"] = "active";
					$first_id = $id;
					//2016.01.25 デフォルトのラベル
					$default_label_id = $id;
				}
				if ( $label_id != "" && $this->_data["label"][$id]["label_id"] == $label_id ) {
					$this->_data["label_id_on"] = $id;
					$this->_data["label"][$first_id]["on"] = null;
					$this->_data["label"][$first_id]["class"] = null;
					$this->_data["label"][$id]["on"] = 1;
					$this->_data["label"][$id]["class"] = "active";
				}
				$cnt++;
			}
			$item = array(''=>'-------')+$this->_clsShop->getLabelSelect();
			$form->addElement('select','opshps_sidx_code', null, $item);
		}

		/******** form 作成/ ********/
		// 2014.08 v1.6
		$idx = $this->getRequest('idx');
		if( !is_numeric($idx) || $idx < 1) {
			$idx=1;
		}
		$this->_view->assign("thisPageNum", $idx);
		list( $nextPageNum, $nextPage ) = $this->getNextPage($idx);
		$this->_view->assign("nextPageNum", $nextPageNum);
		$this->_view->assign("nextPage", $nextPage);

		if(defined("SP_FLG") && SP_FLG == SP_FLG_CODE){
			if(is_numeric($this->_data['bg_color_sp'])) $this->_data['bg_color'] = $this->_data['bg_color_sp'];
			if(is_numeric($this->_data['bdr_type_sp'])) $this->_data['bdr_type'] = $this->_data['bdr_type_sp'];
			if(is_numeric($this->_data['btm_padding_sp'])) $this->_data['btm_padding'] = $this->_data['btm_padding_sp'];
		}

		/** /検索条件 **/
		$where = "";
		$value = array();
		//フリーワード
		if ( $this->getRequest("freeword") != "" ) {
   $where .= " AND (shop_name like ? OR shop_name_trade like ? OR shop_pref like ? OR shop_addr1 like ? OR shop_addr2 like ? OR shop_addr3 like ? OR shop_category_display like ? OR shop_free_word like ? OR shop_copy_name like ?)";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
			$value[] = "%{$this->getRequest("freeword")}%";
		}

		//カテゴリ
		if ( $this->getRequest("opshps_genr_id") != "" ) {
			$_arr = $this->getRequest("opshps_genr_id");
			if( is_array( $_arr ) ){
				$where .= " AND ( ";
				$where_arr = array();
				//[$this->_data["opshps_genr_id_on"]]
				foreach ( $_arr as $parent_id => $parent_v ) {
					foreach ( $parent_v as $child_id => $child_v ) {
						$where_arr[] = " shop_category = ? OR shop_category2 = ? ";
						$value[] = $parent_id.",".$child_id;
						$value[] = $parent_id.",".$child_id;
					}
				}
				$where .= implode(" OR ", $where_arr);
				$where .= " ) ";
			}
		}
		else if ( $this->getRequest("genr_parent_id") != "" ) {
			$where .= " AND ( shop_category LIKE ? OR shop_category2 LIKE ?)";
			$value[] = $this->getRequest("genr_parent_id") .",%";
			$value[] = $this->getRequest("genr_parent_id") .",%";
		}
		else if ( $this->_data["opshps_genr_id"] != ""  ) {
			$list = explode(":", $this->_data["opshps_genr_id"]);
			$where_arr = array();
			if ( count($list) > 0 && is_array($list) ) {
				//2020.3.25 kato add
				$where_tmp_arr = array();
				foreach ($list as $v) {
					$where_arr = array();
					$id =  $v;// as $id
					$where_arr[] = " shop_category LIKE ? OR shop_category2 LIKE ? ";
					$value[] = $id.",%";
					$value[] = $id.",%";

					$where_tmp = " (";
					$where_tmp .= implode(" OR ", $where_arr);
					$where_tmp .= ") ";
					$where_tmp_arr[] = $where_tmp;
				}
				$where .= " AND (".implode(" OR ", $where_tmp_arr).")";
			}
		}

		//2015.05.19
		if ( $this->_data["opshps_me_code"] != ""  ) {
		    $list = explode(":", $this->_data["opshps_me_code"]);
		    $where_arr = array();
		    if ( count($list) > 0 && is_array($list) ) {
		        foreach ($list as $v) {

		            //公開期間チェック
		            $_cnt = $this->_clsShop->checkOpenEvent($v);
		            if (is_array($_cnt) && count($_cnt) > 0) {
    		            $where_arr[] = "shop_event like '%@".$v."@%'";
		            }
		        }
		        if (count($where_arr) > 0) {
    		        $where .= " AND (";
    		        $where .= implode(" OR ", $where_arr);
    		        $where .= ") ";
		        }
		    }
		}

		//if ( $this->getRequest("label_id") != "" ) { //2016.01.25 デフォルトのラベルを考慮
		if ( $this->getRequest("label_id") != "" || is_numeric($default_label_id)) {
			$where .= "AND shop_label_id = ? ";
			//$value[] = $this->getRequest("label_id");
			if ( $this->getRequest("label_id") != "" ) {
				$value[] = $this->getRequest("label_id");
			} else {
				$value[] = $default_label_id;//パラメータがない場合はデフォルトを使用
			}
		}
		switch ($this->_data["opshps_order"]) {
			case "0":
				$order = " ORDER BY shop_name ";
				break;
			case "1":
				$order = " ORDER BY c_date DESC ";
				break;
			case "2":
				$order = " ORDER BY items.max_item_date DESC ";
				break;
			default:
				$order = " ORDER BY c_date DESC ";
				break;
		}
		if ( defined('SP_FLG') && SP_FLG==SP_FLG_CODE) {
			// 現在位置座標の取得
			$now_lat = $this->getRequest("now_lat");		// テスト用（渋谷駅）35.658482;
			$now_lng = $this->getRequest("now_lng");		// テスト用（渋谷駅）139.701441;
			if ( $now_lat != "" && $now_lng != "" ) {
				$order = " ORDER BY ( SQRT( POWER( ({$now_lat} - shop_lat) / 0.0111, 2) ) + SQRT( POWER( ({$now_lng} - shop_lng) / 0.0091, 2) )) ";
			}
		}

		/** 検索条件/ **/
		$rtn = $this->_clsShop->getShopOpenList($where, $value, $idx, $this->_data, $order );
		$total = ( isset($rtn["total"]) && is_numeric($rtn["total"]) ) ? $rtn["total"] : 0;
		$next_idx = $idx + 1;

/* 2015.08.05
			$params = array('mode' => 'sliding',
				"totalItems" => $total,
				'perPage' => $this->_data["opshps_limit"],
				'delta' => 2,
				'prevImg' => '前頁',
				'nextImg' => '次頁',
				'urlVar' => "idx",
				'currentPage' => $idx,
				"curPageSpanPre" => "<span>",
				"curPageSpanPost" => "</span>",
				'separator' => '&nbsp;',
				'clearIfVoid'=>true,
				'spacesBeforeSeparator' => 0,
				'spacesAfterSeparator' => 0,
				'itemData' => null,
				'httpMethod' => "GET",
				"firstPagePre" => "[",
				"firstPageText" => _gettext('B_P00519'),
				"firstPagePost" => "]",
				"lastPagePre" => "[",
				"lastPageText" => _gettext('B_P00502'),
				"lastPagePost" => "]",
				"append"   => FALSE,
				//"fileName" => $nowPage."&idx=%d"
				"fileName" => str_replace("&idx=".$idx,"", $_SERVER["REQUEST_URI"])."&idx=%d"
			);
//			"fileName" => "index.php?d=".$this->getRequest("d")."&c=".$this->getRequest("c")."&p=".$this->getRequest("p")."&pageu_code=".$this->_pageu_code."&idx=%d"
*/
/* 2015.08.05
		//アンカー追加
		//$pager = Pager::factory($params);
		$pager = Pager::factory($params);
		//ページナビ
		$links= $pager->getLinks();
*/

		//$params["fileName"] = str_replace("&idx=".$idx,"", $_SERVER["REQUEST_URI"])."&idx=%d";
		$doc_root = preg_replace("/\/$/", "", DOCUMENT_ROOT_PATH);
		$base_path = preg_replace("/\/$/", "", BASE_PATH);
		if ($doc_root != $base_path) {
			$_d = str_replace($doc_root, "", $base_path);//下層ディレクトリを取得（例： /bingo の場合は　"/bingo"を取得
			$_filename = preg_replace("/^". preg_quote($_d, "/"). "/", "", $_SERVER["REQUEST_URI"]);
		} else {
			$_filename = $_SERVER["REQUEST_URI"];
		}

		$params["fileName"] = str_replace("&idx=".$idx,"", $_filename)."&idx=%d";

		if($this->_prev == 1) { //v1.3
			$params["fileName"] = $params["fileName"]."&prev=1";
		}

		$rtnPager = $this->_clsShop->Pager($this->_data["opshps_limit"], $idx, $total, $params["fileName"]);
		$links = $rtnPager["pageNavi"];

		if(isset($links["all"]) && $links["all"]!='') {
			if ( defined('SP_FLG') && SP_FLG==SP_FLG_CODE) {
				$rtn["Pages"] =$links["first"].$links["back"].$links["next"].$links["last"];//スマホの場合 2015.08.05
			} else {
				$rtn["Pages"] =$links["all"];
			}
		}

		$this->_view->assign('Pages', $rtn['Pages']);

		//リストデータ
/*2015/6/25 Takahashi 正方形画像を取得する処理*/
///////
		$arr = $rtn["pagedata"];


		$tmp_arr = array();
		foreach($arr as $row){
			//altが空文字の場合、店舗名を変わりに代入。
			if(empty($row['shop_img_explanation_main'])){
				$row['shop_img_explanation_main'] = $row['shop_name'];
			}

			$ori_img = $row['shop_img_main'];
			//$targetPath = '/var/www/html/zama2014/global-image/shop/'.$row['shop_id'];
			$targetPath = BASE_PATH.'/global-image/shop/'.$row['shop_id'];
			$row['shop_img_main_sq'] = 'sq-'.$row['shop_img_main'];
			$tmp_arr[] = $row;
/* 2015.08.18
			//640px x 640pxの画像が登録されていない場合、新たに画像を作り保存する。
			//$url =  'http://zama2014.beatup-lab.net/global-image/shop/'.$row['shop_id'].'/'.$row['shop_img_main_sq'];
			$url =  BINGOTOPURL.'/global-image/shop/'.$row['shop_id'].'/'.$row['shop_img_main_sq'];
			$ch = curl_init();
			curl_setopt($ch, CURLOPT_URL, $url);
			curl_setopt($ch, CURLOPT_RETURNTRANSFER, true);
			curl_exec($ch);
			$info = curl_getinfo($ch);//この関数で取得
			curl_close($ch); //終了

			if($info['http_code'] =='404'){
				commonFile::ImgResize($targetPath.'/'.$ori_img, $targetPath.'/sq-'.$ori_img, $new_w='640',$new_h='640',$force=true);
			}
*/
			if(!is_file($targetPath."/".$row['shop_img_main_sq'])){
				commonFile::ImgResize($targetPath.'/'.$ori_img, $targetPath.'/sq-'.$ori_img, $new_w='640',$new_h='640',$force=true);
			}
		}
		$this->_data['list'] = $tmp_arr;
/////////
		//ページング
		$this->_data['Pages'] = $rtn["Pages"];
		//選択されたカテゴリ名
		$this->_data['category'] = $rtn['category'];

		//日付書式
		$this->_data['date_format'] = $this->date_format[ $this->_data['opshps_date_format'] ]['format'];

		// v1.6 no photo 画像
		$nophoto = "/admin/common-img/unit_list_dummy.jpg";
		if ( $this->_data['opshps_nophoto_img'] != "" ) {
			$nophoto = UNITS_IMG_PATH.$this->_data['opshps_nophoto_img'];
		}
		$this->_view->assign("nophoto", $nophoto);

		// v1.6 new アイコン画像
		if ( $this->_data['opshps_newicon_img'] != "" ) {
			$this->_view->assign("newicon", BINGOTOPURL.UNITS_IMG_PATH.$this->_data['opshps_newicon_img'] );
		}

		// v1.6 リンクテキスト
		if ( $this->_data['opshps_link_text'] == "" ) {
			 $this->_data['opshps_link_text'] = "詳細はこちら";
		}

		//dirname v1.6
		$this->_view->assign("dirname", dirname(__FILE__));
/* 2015/6/25 takahashi*/
///////
		// PC用レイアウトの選択
		//【extMdlYuhoNaviOpenShops】-->
		$num =  ( isset($this->_data['opshps_layout_pc']) && $this->_data['opshps_layout_pc'] != "" ) ?  $this->_data['opshps_layout_pc'] : "1";
		/*( isset($this->_data['opshps_layout_pc']) && $this->_data['opshps_layout_pc'] != "" ) ?  $this->_data['opshps_layout_pc'] : "1";
		 $num = 2///$this->getTemplateName(1);*/

		$layout = dirname(__FILE__)."/tpl_pc/layout" . str_pad($num, 3, "0", STR_PAD_LEFT) . ".tpl";
		$this->_view->assign("layout_pc", $layout);

		// SP用レイアウトの選択
		//【extMdlYuhoNaviOpenShops】-->
		//$num =  ( isset($this->_data['opshps_layout_sp']) && $this->_data['opshps_layout_sp'] != "" ) ?  $this->_data['opshps_layout_sp'] : "1";
		//$num = $this->getTemplateName($this->_data['opshps_effect']);
		$num = ( isset($this->_data['opshps_layout_sp']) && $this->_data['opshps_layout_sp'] != "" ) ?  $this->_data['opshps_layout_sp'] : "1";
		$layout = dirname(__FILE__)."/tpl_sp/layout" . str_pad($num, 3, "0", STR_PAD_LEFT) . ".tpl";
		$this->_view->assign("layout_sp", $layout);
/////////

		$pageCnt = $this->_data["opshps_limit"] * $idx;
		$lastPage =  ( $pageCnt >= $total ) ? 1:0;
		$this->_view->assign("lastPage" , $lastPage);
		$this->_view->assign("current", $idx);
		$this->_view->assign("total", $total);

		$form->setDefaults($_REQUEST);
		$renderer = new HTML_QuickForm_Renderer_ArraySmarty($this->_view);
		$form->accept($renderer);
		$this->_view->assign('form_units',$renderer->toArray());

		//$this->_view->assign("sptpl", dirname(__FILE__)."/bopshpsS-sp.tpl");
		if (count($this->_data) > 0) {
			return $this->_data;
		} else {
			return null;
		}
	}

	/*
	 * DBより保存データ取得
	 * 改変可能
	 */
	function getDetail() {
		$rtn =  null;
		$sql = "select * from ".$this->getTbl()." where pageu_code = ?";
		if(isset($this->_pageu_code)&&is_numeric($this->_pageu_code)) {
			$result = $this->db->prepare($sql,$this->_pageu_code);
			if($result!=null) {
				$rtn = $result->fetchRow(DB_FETCHMODE_ASSOC);
				if ( $rtn ) {
					$rtn['opshps_width'] = is_numeric($rtn['opshps_width']) ? $rtn['opshps_width']."px" : $rtn['opshps_width'];
					$rtn['opshps_margin'] = is_numeric($rtn['opshps_margin']) ? $rtn['opshps_margin']."px" : $rtn['opshps_margin'];
					$rtn['opshps_outside_weight'] = is_numeric($rtn['opshps_outside_weight']) ? $rtn['opshps_outside_weight']."px" : $rtn['opshps_outside_weight'];
				}
			}
		}
		return $rtn;
	}


	function setDefault()
	{
		$data = $this->getDetail();
		if (count($data) == 0) {
			$this->_form->setDefaults(array('opshps_limit'=>20,
										'opshps_date_flg'=>1,
										'opshps_comment_flg'=>1,
										'opshps_rss'=>1,
										'opshps_new_flg'=>1,
										'opshps_layout_pc' => 1,
										'opshps_layout_sp' => 1,
										'opshps_order'=>2,
										'opshps_comming_text' => 'COMMING SOON',
										'opshps_comming_flg' => 0,
										'opshps_nodata_text' => _gettext('B_T00801'),
										'opshps_link_text' => '詳細はこちら',
										'opshps_speed' => 600,
										'opshps_pflg' => 1,
										'opshps_pager_flg' => 0,
										'opshps_pager_text' => _gettext('B_P01056'),
										// 【extMdlYuhoNaviOpenShops】<!--
										'opshps_width' => '200px',
										'opshps_height' => '250px',
										'opshps_margin' => '1px',
										'opshps_outside_flg' => 1,
										'opshps_outside_weight' => '1px',
										'opshps_outside_color' => '#000000',
										'opshps_default_bgcolor' => '#FFFFFF',
										'opshps_color' => '#000000',
										'opshps_hovered_bgcolor' => '#FFFFFF',
										'opshps_color_hover' => '#000000',
										'opshps_auto_centering' => 0
										// 【extMdlYuhoNaviOpenShops】-->
									));
		}

		//【extMdlYuhoNaviOpenShops】<!--
		if ( $data['opshps_genr_id'] != "" ) {
			$_arr = explode(":", $data['opshps_genr_id']);
			$data['opshps_genr_id'] = array();
			foreach ( $_arr as $v ) {
				$data['opshps_genr_id'][$v] = 1;
			}
		}
		//unset($data['opshps_genr_id']);

		//2015.05.19　イベント
		if ( $data['opshps_me_code'] != "" ) {
		    $_arr = explode(":", $data['opshps_me_code']);
		    $data['opshps_me_code'] = array();
		    foreach ( $_arr as $v ) {
		        $data['opshps_me_code'][$v] = 1;
		    }
		}


		//イージング
		if ( isset($data['opshps_effect']) && preg_match("/^reverse/", $data['opshps_effect']) ){
			$easing = $this->_easing;
			$easingType = 1;
		} else {
			$easing = $this->_easing2;
			$easingType = 2;
		}

		$this->_form->addElement('select','opshps_easing', null, $easing, array('id'=>'opshps_easing'));
		$this->_view->assign('easing1', $this->_easing);
		$this->_view->assign('easing2', $this->_easing2);
		$this->_view->assign('easingType', $easingType);
		//【extMdlYuhoNaviOpenShops】-->
		foreach ( $this->_img_name as $column ) {
			if ($data[$column]) {
				$this->_view->assign($column, BINGOTOPURL.UNITS_IMG_PATH.$data[$column]);
			}
		}
//2015/6/25 takahashi
/////
		if(is_null($data['opshps_layout_pc'])){
			$data['opshps_layout_pc'] = 1;
		}

		if(is_null($data['opshps_layout_sp'])){
			$data['opshps_layout_sp'] = 1;
		}
//////
		$this->_form->setDefaults($data);
	}

	//フォームエレメントの作成
	function setElements()
	{
		$this->_form->addElement('hidden','pageu_code', $this->_pageu_code,array("id"=>"pageu_code")); //ページコード
		//onChangeチェック用
		$this->_form->addElement('hidden','ocg', '1',array("id"=>"ocg"));
		//カテゴリ選択
		//$data = array(''=>_gettext('B_P00567'),'0'=>_gettext('B_P00889')) + $this->getSectionData();
		//$this->_form->addElement('select','opshps_sidx_code', null, $data, array('onChange'=>'reload();'));
		$data = array('0'=>_gettext('B_P00889'));
		$this->_form->addElement('select','opshps_sidx_code', null, $data);

		//表示開始
		$data = array('1'=>'1','2'=>'2','3'=>'3','4'=>'4','5'=>'5','6'=>'6','7'=>'7','8'=>'8','9'=>'9','10'=>'10');
		$this->_form->addElement('select','opshps_s_count', null, $data, array('id'=>'opshps_s_count'));
		//表示件数
		$data = array('3'=>'3','6'=>'6','9'=>'9','12'=>'12');
		$this->_form->addElement('select','opshps_limit', null, $data, array('id'=>'opshps_limit'));
		//ページングの有無
		$this->_form->addElement('advcheckbox','opshps_pflg', null, _gettext('B_P01047'), array('id'=>'opshps_pflg'),array(0,1));
		//公開日表示
		$this->_form->addElement('advcheckbox','opshps_date_flg', null, _gettext('B_P00533'), array('id'=>'opshps_date_flg'),array(0,1));
		//RSS
		$this->_form->addElement('advcheckbox','opshps_rss', null, _gettext('B_P00533'), array('id'=>'opshps_rss'),array(0,1));
		//NEWアイコン
		$this->_form->addElement('advcheckbox','opshps_new_flg', null, _gettext('B_P00533'), array('id'=>'opshps_new_flg'),array(0,1));
		//NEWアイコン表示期間
		$this->_form->addElement('text','opshps_new_days', null, array('size'=>'5', 'id'=>'opshps_new_days','value'=>7,'style'=>'ime-mode:disabled'));
		//一覧コメント
		$this->_form->addElement('advcheckbox','opshps_comment_flg', null, _gettext('B_P00533'), array('id'=>'opshps_comment_flg'),array(0,1));
		//COMMING SOON
		$this->_form->addElement('text', 'opshps_comming_text', null, array('size'=>'25', 'id'=>'opshps_comming_text', 'style'=>'' ));
		//COMMING SOONフラグ
		$this->_form->addElement('advcheckbox','opshps_comming_flg', null, _gettext('B_P00533'), array('id'=>'opshps_comming_flg'),array(0,1));
		//0件時の任意テキスト
		$this->_form->addElement('textarea','opshps_nodata_text', null, array('id'=>'opshps_nodata_text','rows'=>4));
		//リンクテキスト
		$this->_form->addElement('text', 'opshps_link_text', null, array('size'=>'25', 'id'=>'opshps_link_text', 'style'=>'' ));
		//No photo画像
		$this->_form->addElement('hidden','opshps_nophoto_img', null,array("id"=>"opshps_nophoto_img"));
		//ページング画像
		$this->_form->addElement('hidden','opshps_pager_img', null,array("id"=>"opshps_pager_img"));
		//ページング画像hover
		$this->_form->addElement('hidden','opshps_pager_img_hover', null,array("id"=>"opshps_pager_img_hover"));
		//new アイコン画像
		$this->_form->addElement('hidden','opshps_newicon_img', null,array("id"=>"opshps_newicon_img"));
		//エフェクト
		$this->_form->addElement('select','opshps_effect', null, $this->_effect[$this->_effectType], array('id'=>'opshps_effect'));
		//スピード
		$this->_form->addElement('text', 'opshps_speed', null, array('size'=>'10', 'id'=>'opshps_speed', 'style'=>'' ));
		//イージング
		//$this->_form->addElement('select','opshps_easing', null, $this->_easing, array('id'=>'opshps_easing'));
		//ページングタイプ
		$item=array();
		$item[]=& $this->_form->createElement('radio',null, null,'ボタン',0);
		$item[]=& $this->_form->createElement('radio',null, null,'スクロール',1);
		$this->_form->addGroup($item,'opshps_pager_flg');
		$this->_form->getElement('opshps_pager_flg');
		//ページング任意テキスト
		$this->_form->addElement('text', 'opshps_pager_text', null, array('size'=>'20', 'id'=>'opshps_pager_text', 'style'=>'' ));
		//文字数
		$this->_form->addElement('text', 'opshps_body_charcnt', null, array('size'=>'10', 'id'=>'opshps_body_charcnt', 'style'=>'ime-mode:disabled' ));
		//画像削除ボタン
		foreach ( $this->_img_name as $column ) {
			$this->_form->addElement('checkbox', $column.'_delflg', null,_gettext('B_P00400'),null);//画像削除チェックボックス
			$this->_form->updateElementAttr($column.'_delflg',array('value'=>'delete'));
		}

		//表示順
		$item=array();
		$item[]=& $this->_form->createElement('radio',null, null,"50音順",0);
		$item[]=& $this->_form->createElement('radio',null, null,"登録日降順",1);
		$item[]=& $this->_form->createElement('radio',null, null,"掲載情報登録日降順",2);
		$this->_form->addGroup($item,'opshps_order');
		$this->_form->getElement('opshps_order');
/*2015/6/26 takahashi*/
//////
		//$this->_form->addElement('advcheckbox','opshps_sp_layout', null, _gettext('B_P00916'), array(), array(0,1));
///////
		//日付の表示形式
		$item = array();
		foreach ($this->date_format as $k => $v ) {
			$item[$k] = $v['disp'];
		}
		$this->_form->addElement('select', 'opshps_date_format', null, $item);

/*2015/6/25 takahashi*/
/////
		$item = array();
	    $item[1]=& $this->_form->createElement('radio',null, null, _gettext('B_T00207').'1', 1);
	    $item[2]=& $this->_form->createElement('radio',null, null, _gettext('B_T00207').'2', 2);

		$this->_form->addGroup($item,'opshps_layout_pc');

		$item = array();
		$item[1]=& $this->_form->createElement('radio',null, null, _gettext('B_T00207').'1', 1);
		$item[2]=& $this->_form->createElement('radio',null, null, _gettext('B_T00207').'2', 2);

		$this->_form->addGroup($item,'opshps_layout_sp');
/////
 /*
		//レイアウトPC
		$item = array();
		$i = 1;
		if ( $dir = opendir (MODULES_PATH."/bopshpsMdl/units/bopshpsS/tpl_pc" ) ) {
			while (( $file = readdir($dir)) != false ) {
				if ($file != "." && $file != ".." && preg_match("/\.tpl$/", $file) ) {
					$num = preg_replace("/layout([0-9]+)\.tpl/", "$1", $file);
					$num = intval($num);
					$item[$i++]=& $this->_form->createElement('radio',null, null, _gettext('B_T00207').$num, $num);
				}
			}
			asort($item);
		}
		$this->_form->addGroup($item,'opshps_layout_pc');
		//レイアウトSP
		$item = array();
		$i = 1;
		if ( $dir = opendir (MODULES_PATH."/bopshpsMdl/units/bopshpsS/tpl_sp" ) ) {
			while (( $file = readdir($dir)) != false ) {
				if ($file != "." && $file != ".." && preg_match("/\.tpl$/", $file) ) {
					$num = preg_replace("/layout([0-9]+)\.tpl/", "$1", $file);
					$num = intval($num);
					$item[$i++]=& $this->_form->createElement('radio',null, null, _gettext('B_T00207').$num, $num);
				}
			}
			asort($item);
		}
		$this->_form->addGroup($item,'opshps_layout_sp');
*/
		//【extMdlYuhoNaviOpenShops】<!--
		//[] 幅、高さ
		$this->_form->addElement('text', 'opshps_width', null, array('size'=>'15', 'id'=>'opshps_width', 'style'=>'ime-mode:disabled' ));
		$this->_form->addElement('text', 'opshps_height', null, array('size'=>'15', 'id'=>'opshps_height', 'style'=>'ime-mode:disabled' ));
		//間隔
		$this->_form->addElement('text', 'opshps_margin', null, array('size'=>'15', 'id'=>'opshps_margin', 'style'=>'ime-mode:disabled' ));
		// [外枠] 表示
		$item=array();
		$item[]=& $this->_form->createElement('radio',null, null,'表示しない',0);
		$item[]=& $this->_form->createElement('radio',null, null,'表示する',1);
		$this->_form->addGroup($item,'opshps_outside_flg');
		$this->_form->getElement('opshps_outside_flg');
		//[外枠] 色
		$this->_form->addElement('text', 'opshps_outside_color', null, array('size'=>'7', 'id'=>'opshps_outside_color', 'style'=>'ime-mode:disabled' ));
		//[外枠] 太さ
		$this->_form->addElement('text', 'opshps_outside_weight', null, array('size'=>'15', 'id'=>'opshps_outside_weight', 'style'=>'ime-mode:disabled' ));
		//デフォルト背景色
		$this->_form->addElement('text', 'opshps_default_bgcolor', null, array('size'=>'7', 'id'=>'opshps_default_bgcolor', 'style'=>'ime-mode:disabled' ));
		//文字色
		$this->_form->addElement('text', 'opshps_color', null, array('size'=>'7', 'id'=>'opshps_color', 'style'=>'ime-mode:disabled' ));
		//hover背景色
		$this->_form->addElement('text', 'opshps_hovered_bgcolor', null, array('size'=>'7', 'id'=>'opshps_hovered_bgcolor', 'style'=>'ime-mode:disabled' ));
		//文字色hover
		$this->_form->addElement('text', 'opshps_color_hover', null, array('size'=>'7', 'id'=>'opshps_color_hover', 'style'=>'ime-mode:disabled' ));
		//自動中央揃え
		$this->_form->addElement('advcheckbox','opshps_auto_centering', null, '中央に揃える', array('id'=>'opshps_auto_centering'),array(0,1));

		//詳細ページURL
		$this->_form->addElement('text', 'opshps_detail_url', null, array('size'=>'50', 'id'=>'opshps_detail_url', 'style'=>'ime-mode:disabled' ));
		//店舗ページURL
		$this->_form->addElement('text', 'opshps_shop_url', null, array('size'=>'50', 'id'=>'opshps_shop_url', 'style'=>'ime-mode:disabled' ));

		//フリーワード検索フォーム表示
		$this->_form->addElement('advcheckbox','opshps_freeword_flg', null, '表示', array('id'=>'opshps_freeword_flg'),array(0,1));
		//ラベル検索表示
		$this->_form->addElement('advcheckbox','opshps_label_flg', null, '表示', array('id'=>'opshps_label_flg'),array(0,1));


		$genr = $this->_clsShop->getShopGenrList(null, 1, true);
		$_arr = array();
		foreach( $genr["parent"] as $k => $v ) {
			if ( $k != "" ) {
				$_arr[] = $this->_form->addElement('advcheckbox', $k, null, $v, array('id'=>'opshps_genr_id_'.$k),array(0,1));
			}
		}
		$this->_form->addGroup($_arr, 'opshps_genr_id', '', '</li><li>');
		$this->_form->getElement('opshps_genr_id');


		$genr = $this->_clsShop->getEventList();
		$_arr = array();
		foreach( $genr as $k => $v ) {
//		    if ( $k != "" ) {
		        $_arr[] = $this->_form->addElement('advcheckbox', $v["me_code"], null, $v["me_title"], array('id'=>'opshps_me_code_'.$v["me_code"]),array(0,1));
//		    }
		}
		$this->_form->addGroup($_arr, 'opshps_me_code', '', '</li><li>');

		//【extMdlYuhoNaviOpenShops】-->
	}

	//フォーム入力エラーチェックの設定
	function setRules()
	{
		$this->_form->applyFilter('__ALL__','trim');
		$this->_form->_submitValues = DataBase::ConvColumnVals($this->_form->_submitValues,$this->columns); //ルールに従った値変換、タグの除去
		$this->_form->setJsWarnings(_gettext('B_P00472'),'');
		$this->_form->addRule('pageu_code',_gettext('B_P00643'),'required',null,$this->erchk);
		$this->_form->addRule('opshps_shop_url','店舗URLを入力してください','required',null,$this->erchk);

		//$this->_form->addRule('opshps_layout_pc',_gettext('B_T00207'),'required',null,$this->erchk);
		//$this->_form->addRule('opshps_layout_sp',_gettext('B_T00207'),'required',null,$this->erchk);
		$this->_form->addRule('opshps_nodata_text',_gettext('B_P00210'),'check_br',null,$this->erchk);

		$this->_form->addRule('opshps_sidx_code',_gettext('B_P00882'),'required',null,$this->erchk);
		$this->_form->addRule('opshps_s_count',_gettext('B_P00883'),'required',null,$this->erchk);
		$this->_form->addRule('opshps_limit',_gettext('B_P00884'),'required',null,$this->erchk);
		$this->_form->addRule('opshps_new_days',_gettext('B_P00893'),'numeric',null,$this->erchk);
		$this->_form->addRule('opshps_order',_gettext('B_P00885'),'required',null,$this->erchk);
		$opshps_cat_code = $this->getRequest('opshps_cat_code');
		$opshps_label_code = $this->getRequest('opshps_label_code');

		if ($this->getRequest('buttons') != ''){
			if(is_numeric($this->getRequest("opshps_sidx_code"))){
				if($this->getRequest("opshps_sidx_code")==0){
					if(!is_array($opshps_label_code)){
						//$this->_form->setElementError('opshps_sidx_code', _gettext('B_P00881'));
					}
				}else{
					if(!is_array($opshps_cat_code)){
						$this->_form->setElementError('opshps_cat_code', _gettext('B_P00878'));
					}
				}
			}
		}

		$opshps_new_flg = $this->getRequest('opshps_new_flg');
		if ($opshps_new_flg != '0' && $this->getRequest('buttons') != '') {
			$this->_form->addRule('opshps_new_days',_gettext('B_P00877'),'required',null,$this->erchk);
		}

		//【extMdlYuhoNaviOpenShops】<!--
		$this->_form->registerRule("check_css_color", "regex", "/^#[0-9a-fA-F]{3}$|^#[0-9a-fA-F]{6}$/");
		$this->_form->registerRule("check_css_property", "regex", "/^\d+$|\d+(px|em|pt|%)$|^auto$/");
		$this->_form->addRule("opshps_outside_color", _gettext('B_P01027', '外枠の色'), "check_css_color", null, "server");
		$this->_form->addRule("opshps_default_bgcolor", _gettext('B_P01027', 'デフォルトの背景色'), "check_css_color", null, "server");
		$this->_form->addRule("opshps_color", _gettext('B_P01027', 'テキストの文字色'), "check_css_color", null, "server");
		$this->_form->addRule("opshps_hovered_bgcolor", _gettext('B_P01027', 'hover時の背景色'), "check_css_color", null, "server");
		$this->_form->addRule("opshps_color_hover", _gettext('B_P01027', 'hover時のテキストの文字色'), "check_css_color", null, "server");
		$this->_form->addRule("opshps_width", _gettext('B_P00991', '幅'), "check_css_property", null, "server");
		$this->_form->addRule("opshps_height", _gettext('B_P00991', '高さ'), "check_css_property", null, "server");
		$this->_form->addRule("opshps_margin", _gettext('B_P00991', '間隔'), "check_css_property", null, "server");
		$this->_form->addRule("opshps_outside_weight", _gettext('B_P00991', '外枠の太さ'), "check_css_property", null, "server");
		//【extMdlYuhoNaviOpenShops】-->

	}

	//データ下書き保存処理
	function doSave($post)
	{
		$record = null;
		foreach($this->columns as $val) {
			if($post[$val["column"]]!=null){
				$record[$val["column"]] = $post[$val["column"]];
			} else {
				$record[$val["column"]] = null;
			}
		}

//2015/6/28 takahashi
//////
		$record['opshps_sp_layout'] = 0;
//////
		//カテゴリは:区切りで保存
		if (is_array($this->getRequest('opshps_genr_id'))) {
			$data = $this->getRequest('opshps_genr_id');
			$str = array();
			foreach ($data as $k=>$v) {
				if($v==1){
					$str[] = $k;
				}
			}
			$record['opshps_genr_id'] = join(':', $str);
		}

		//2015.05.19
		//イベントは:区切りで保存
		if (is_array($this->getRequest('opshps_me_code'))) {
		    $data = $this->getRequest('opshps_me_code');
		    $str = array();
		    foreach ($data as $k=>$v) {
		        if($v==1){
		            $str[] = $k;
		        }
		    }
		    $record['opshps_me_code'] = join(':', $str);
		}

		//v1.6
		foreach( $this->_img_name as $_column ) {

			if($this->getRequest($_column."_delflg") != null) {
				$record[$_column]=null;
			}

			if(is_numeric($record[$_column])) {
				// ここでhidden属性（上記の数値に設定されたもの）を現在設定されている画像パスの状態にもどす
				// 前提：エラー時（画像以外の入力でエラーになった場合でも）は新しく選択したファイルが画面上から消えること（既存ファイルが選択されている状態に戻る）
				if(is_array($old_data)&& count($old_data)>0){
					$this->_form->updateElementAttr($_column,array('value' => $old_data[$_column]));
				}
				$imgmngrDB = new imgmngrDB();
				$imgdata = $imgmngrDB->getImageFromCode($record[$_column], UNITS_IMG_PATH, $record["pageu_code"], 1);
				if(isset($imgdata)){
					$data_path = $imgdata["img_src"]; 	// コピー元（素材管理の画像パス）
					$img_path  = $imgdata["gimg_src"];	// コピー先（公開用の画像パス）
					$record[$_column] = array_pop(explode('/',$img_path)); //保存ファイル名取得
					$cpflg = true;
				}else{
					return _gettext('B_P00651');
				}
			}
			// saas
			$fsize = array();
			if($cpflg) $fsize[] = array('size' => filesize(BASE_PATH.$data_path));
			if (count($fsize)>0 && !commonFile::chkSaveFiles($fsize)) {
				return _gettext('B_P00281');
			}
			if($cpflg) {
				if(!@copy(BASE_PATH.$data_path, BASE_PATH.$img_path)){
					return _gettext('B_P00650');
				} else {
					@chmod(BASE_PATH.$img_path, 0666);
				}
			}
		}

		//既存データがあるか確認
		$old_data = $this->getDetail();
		$this->db->query('BEGIN');
		//保存処理開始
		if(is_array($old_data)&& count($old_data)>0) {
			//更新
			if(!$this->db->update($this->getTbl(),$record, "pageu_code=".$record["pageu_code"])) {
				$this->db->query('ROLLBACK');
				return _gettext('B_P00209');
			}
		} else { //新規
			if(!$this->db->insert($this->getTbl(),$record)) {
				$this->db->query('ROLLBACK');
				return _gettext('B_P00209');
			}
		}
		$this->db->query('COMMIT');
		return null;
	}


	function getNextPage($page=1, $_idx=true, $reject=array()) {

		$prev = ($this->getRequest("prev") == 1) ? 1 : 0;
		if ( $prev == 1 ) {
			$nextPage = $_SERVER['SCRIPT_NAME'];
			$get = $_REQUEST;
		}
		else {
			//$nextPage = CURRENTURL;
			//$nextPage = str_replace(BINGOTOPURL, "", $nextPage);
			$nextPage = BINGOTOPURL;

			$tmp = explode("?", $nextPage);

			if ( isset( $tmp[1] ) ) {
				$getStr = explode("&", $tmp[1]);
				foreach ( $getStr as $v ) {
					$p = explode("=", $v);
					if ( isset($p[1]) == 2 ) {
						$get[$p[0]] = $p[1];
					} else {
						$get[$v] = "";
					}
				}
			} else {
				$nextPage = preg_replace("/\?/", "", $nextPage);
			}

			$get = $_REQUEST;
			foreach ( $get as $k => $v ) {
				if ( preg_match("/^(burl|PHPSESSID|idx)$/", $k) ) {
					unset($get[$k]);
				}
			}
		}
		//if ( count($get) ) {
			if ( preg_match("/\?/", $nextPage) ) {
				$nextPage .= "&";
			} else {
				$nextPage .= "?";
			}
			foreach ( $get as $key => $val ) {
				if ( $key == 'idx' ) {
					$page = ( is_numeric($val) && $val > 0 ) ? $val : $page;
				} else if ( $key != "PHPSESSID" && $key != "BTNsearch" && !in_array($key, $reject) && $key != "opshps_genr_id") {
					$nextPage .= $key ."=" . $val ."&";
				} else if ( $key == "opshps_genr_id" && !in_array($key, $reject) ) {
					$nextPage .= $key."%5B";
					foreach ( $val as $k => $v ) {
						$nextPage .= $k."%5D%5B";
						foreach ($v as $kk => $vv ) {
							$nextPage .= $kk."%5D";
						}
					}
					$nextPage .= "=1&";
				}
			}
			$nextPage = preg_replace("/&$/", "", $nextPage);
			if ( $_idx ) {
				$nextPage .= "&idx=". ($page + 1);
			}
			$nextPage = preg_replace("/\?&/", "?", $nextPage);
		//}

		//$this->_view->assign("nextPageNum", $page);
		//$this->_view->assign("nextPage", $nextPage);
		return array($page, $nextPage);
	}

	function getTemplateName($key="push-left") {
		if ( $key == "push-top" ) {
			$num = 2;
		}
		else if ( $key == "push-down" ) {
			$num = 3;
		}
		else if ( $key == "push-right" ) {
			$num = 4;
		}
		else if ( $key == "reverse1-h" || $key == "reverse1-v" ) {
			$num = 5;
		}
		else if ( $key == "reverse2-h" || $key == "reverse2-v" ) {
			$num = 6;
		}
		else if ( $key == "dissolve" ) {
			$num = 7;
		}
		else {
			$num = 1;
		}
		return $num;
	}

}



?>
